Package: groovy.transform

## [Java] Annotation Type VisibilityOptions

- groovy.transform.VisibilityOptions

-     @Documented
      @Retention(RetentionPolicy.SOURCE)
      @Target({ElementType.TYPE, ElementType.CONSTRUCTOR, ElementType.METHOD})
      public @interface VisibilityOptions

  Marker annotation used in the context of AST transformations to provide a custom visibility.

  Since:
    2.5.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `Visibility` | `constructor` Default: Visibility.UNDEFINED
    `String` | `id` Default: Undefined.STRING
    `Visibility` | `method` Default: Visibility.UNDEFINED
    `Visibility` | `type` Default: Visibility.UNDEFINED
    `Visibility` | `value` Default: Visibility.UNDEFINED

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public Visibility constructor

      Default:
        Visibility.UNDEFINED

    - #### public String id

      Default:
        Undefined.STRING

    - #### public Visibility method

      Default:
        Visibility.UNDEFINED

    - #### public Visibility type

      Default:
        Visibility.UNDEFINED

    - #### public Visibility value

      Default:
        Visibility.UNDEFINED